<p align="center">
  <a href="https://github.com/geekidea/spring-boot-plus">
   <img alt="spring-boot-plus logo" src="https://raw.githubusercontent.com/geekidea/spring-boot-plus/dev/docs/img/logo.png">
  </a>
</p>
<p align="center">
  Everyone can develop projects independently, quickly and efficiently！
</p>

<p align="center">  
  <a href="https://github.com/spring-projects/spring-boot">
    <img alt="spring boot version" src="https://img.shields.io/badge/spring%20boot-2.1.6.RELEASE-brightgreen">
  </a>
  
  <a href="https://www.apache.org/licenses/LICENSE-2.0">
    <img alt="code style" src="https://img.shields.io/badge/license-Apache%202-4EB1BA.svg?style=flat-square">
  </a>
</p>

## Introduction

### spring-boot-plus is a background rapid development framework that integrates spring boot common development components.

## Purpose
> Everyone can develop projects independently, quickly and efficiently！

## Quick Start
#### Docs website：[springboot.plus](http://springboot.plus "springboot.plus")
#### GITHUB：[https://github.com/geekidea/spring-boot-plus](https://github.com/geekidea/spring-boot-plus "spring-boot-plus github")
#### GITEE：[https://gitee.com/geekidea/spring-boot-plus](https://gitee.com/geekidea/spring-boot-plus "spring-boot-plus gitee")

### Features
1. Integrated spring boot common development component set, common configuration, AOP log, etc
2. Integrated mybatis-plus fast dao operation
3. Quickly generate background code:entity/param/vo/controller/service/mapper/xml
4. Integrated swagger2, automatic generation of api documents
5. Integrated JWT, spring security permission control
6. Integrated Redis、spring cache、ehcache,etc
7. Integrated Rabbit/Rocket/Kafka MQ
8. Integration alibaba druid connection pool, JDBC performance and slow query detection
9. Integrated Spring Boot Admin, real-time detection of project operation
10. Integrate maven-assembly-plugin for different environment package deployment, including startup and restart commands, and extract configuration files to external config directory


### Project Environment 
Middleware | Version |  Remark
-|-|-
JDK | 1.8+ | JDK1.8 and above |
MySQL | 5.7+ | 5.7 and above |
Redis | 3.2+ |  |

### Technology stack 
Component| Version |  Remark
-|-|-
Spring Boot | 2.1.6.RELEASE | Latest release stable version |
Spring Framework | 5.1.8.RELEASE | Latest release stable version |
Mybatis | 3.5.1 | DAO Framework |
Mybatis Plus | 3.1.1 | mybatis Enhanced framework |
Alibaba Druid | 1.1.17 | Data source |
Fastjson | 1.2.58 | JSON processing toolset |
swagger2 | 2.6.1 | Api document generation tool |
commons-lang3 | 3.9 | Apache language toolkit |
commons-io | 2.6 | Apache IO Toolkit |
commons-codec | 1.12 | Apache Toolkit such as encryption and decryption |
commons-collections | 3.2.1 | Apache collections toolkit |
reflections | 0.9.11 | Reflection Toolkit  |
hibernate-validator | 6.0.17.Final | Validator toolkit |
jwt | 0.9.1 | JSON WEB TOKEN |
hutool-all | 4.5.10 | Common toolset |

#### Docs Website：[springboot.plus](http://springboot.plus "springboot.plus")
